# Hardrock-50 Tk Remote Control

The Hardrock-50 is a 50W power amplifier for amateur radio QRP transceivers. It has a display showing valuable information like the selected band, the SWR, power, temperature etc. Since I am using the HR50 in a remote station, I cannot directly access those information via the display.

However, the HR50 offers serial communication via a USB port. This project tries to solve this problem with the help of a separate, wifi enabled hardware display. It consists of the following two components:

* Windows/Mac/Linux Tk GUI application for remote control
* a python flask application, which represents the communication via the serial interface in the form of an API

This diagram shows which components are required and how the communicate:

This is how the software looks like in action:

![Photo of the Heltec board](hr50-tk-remote-control.png "Screenshot")


## Preconditions


### Software

* ToDo
* HR50-Api: [https://git.qrz.is/clemens/hr50-api]

## Configuration

Edit the following lines inside the Arduino sketch:

```
api_baseurl = "http://<ENTER_HERE_THE_IP_OF_YOUR API_SERVER>:5000/";
```
